Get Assistant by ID
curl --request GET \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id} \
--header 'Authorization: <authorization>'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {},
"message": "<string>"
}Assistants
Get Assistant by ID
Retrieve a single assistant by its ID via the ContactSwing API.
GET
/
v2
/
_assistants
/
{assistant_id}
Get Assistant by ID
Authorizations
Enter your ContactSwing JWT Bearer token.
Path Parameters
Unique assistant identifier from ContactSwing dashboard.
Response
200 OK - Assistant retrieved successfullyRequest context ID
“Request processed successfully”
Example Request
curl 'https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_assistants/YOUR_ASSISTANT_ID' \
-H 'Authorization: Bearer YOUR_JWT_TOKEN'
⌘I

